//------------------------------------------------------------------------------
namespace mc {

//------------------------------------------------------------------------------
// api: types
//------------------------------------------------------------------------------
using device     = detail::device;
using pin        = detail::device::pin;
using reg        = detail::device::reg;

//------------------------------------------------------------------------------
// shortcuts
//------------------------------------------------------------------------------
constexpr static auto INPUT  = pin::mode::input;
constexpr static auto OUTPUT = pin::mode::output;

constexpr static auto LOW    = pin::level::low;
constexpr static auto HIGH   = pin::level::high;

//------------------------------------------------------------------------------
// clean up macros
//------------------------------------------------------------------------------
#undef DECLARE_IRQ_VEC_MAP
#undef MAP_IRQ_VEC
#undef GET_IRQ

//------------------------------------------------------------------------------
} // namespace mc
